Index: waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 162)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPLayouts.py	(revision 164)
@@ -4,13 +4,234 @@
 """Return custom layouts types."""
 
-##    'widgets': { ###(
-##        '': {
+##def widget(type = 'String Widget',
+##            'data': {
+##                'title': '',
+##                'fields': ('nr_of_floors',),
+##                'is_required': True,
+##                'label': 'Nr of Floors ',
+##                'label_edit': 'Nr of Floors',
+##                'description': '',
+##                'help': 'Number of floors per block',
+##                'is_i18n': False,
+##                'readonly_layout_modes': [],
+##                'hidden_layout_modes': [],
+##                'hidden_readonly_layout_modes': [],
+##                'hidden_empty': 0,
+##                'hidden_if_expr': '',
+##                'widget_mode_expr': '',
+##                'css_class': '',
+##                'css_class_expr': '',
+##                'javascript_expr': '',
+##                'vocabulary': 'range5',
+##                'translated': False,
+##            },
+##        },
+
+Heading = { ###(
+         'type': 'Heading Widget',
+         'data': {
+                'fields': ['heading'],
+                'level': 1,
+                'is_i18n': 0,
+                'is_required': 1,
+                'label_edit': 'Headline',
+                'help': 'a short headline',
+                'display_width': 40,
+                'size_max': 200,
+            },
+        }###)
+
+Text = { ###(
+            'type': 'Text Widget',
+            'data': {
+                'fields': ['text'],
+                'is_i18n': 1,
+                'label_edit': 'Text',
+                'label': 'Text',
+                'help': 'a short Description',
+                'css_class': 'description',
+                'width': 72,
+                'height': 5,
+                'render_format': 'text',
+                'hidden_layout_modes': (),
+            },
+        }###)
+
+Title = { ###(
+         'type': 'String Widget',
+         'data': {
+                'fields': ['Title'],
+                'is_i18n': 0,
+                'is_required': 1,
+                'label': 'Title',
+                'label_edit': 'Title',
+                'display_width': 40,
+                'size_max': 200,
+            },
+        }###)
+
+sc_id = { ###(
+        'type': 'String Widget',
+        'data': {
+                'title': 'SC ID',
+                'fields': ('sc_id'),
+                'is_required': False,
+                'label': 'Card Serial Number ',
+                'label_edit': 'Card Serial Number',
+                'description': 'Card Serial Number ',
+                'help': 'This can be found on the bottom right of the reverse side of your Scratch Card',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': 'python:1',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 0,
+            }
+        }
+###)
+
+sc_pin = { ###(
+         'type': 'Scratchcard Pin Widget',
+         'data': {
+                'title': 'SC Pin',
+                'fields': ('sc_pin'),
+                'is_required': True,
+                'label': 'enter  PIN',
+                'label_edit': 'enter an Accommodation PIN',
+                'description': '',
+                'help': 'Please enter a PIN valid for Accomodation booking',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 10,
+            },
+        }
+###)
+
+sc_value = { ###(
+         'type': 'Float Widget',
+         'data': {
+                'title': 'Scratch card value',
+                'fields': ('sc_value',),
+                'is_required': True,
+                'label': 'SC Value',
+                'label_edit': 'Scratcard Value',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 10,
+            },
+        }
+###)
+
+Description = { ###(
+            'type': 'Text Widget',
+            'data': {
+                'fields': ['Description'],
+                'is_i18n': 1,
+                'label_edit': 'Description',
+                'label': 'Description',
+                'css_class': 'description',
+                'width': 72,
+                'height': 5,
+                'render_format': 'text',
+                'hidden_layout_modes': (),
+            },
+        }###)
+
+common_layout = {###(
+    'widgets': {
+        'LanguageSelector': {
+            'type': 'Document Language Select Widget',
+            'data': {
+                'fields': ['Language'],
+            },
+        },
+        'Title': Title,
+        'Description': Description,
+        'LanguageSelectorCreation': {
+            'type': 'Select Widget',
+            'data': {
+                'title': 'Language',
+                'fields': ('Language',),
+                'is_required': 0,
+                'label': 'label_language',
+                'label_edit': 'label_language',
+                'description': '',
+                'help': '',
+                'is_i18n': 0,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': ('create','edit', 'view'),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': 0,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'vocabulary': 'language_voc',
+            },
+        },
+    },
+    'layout': {
+        'style_prefix': 'layout_waeup_',
+        'rows': [
+            #[{'widget_id': 'LanguageSelector'}],
+            [{'widget_id': 'Title'},],
+            [{'widget_id': 'Description'},],
+            #[{'widget_id': 'LanguageSelectorCreation'}],
+            ],
+        },
+    }
+#
+###)
+
+student_layout = { ###(
+    'widgets': {
+        'jamb_is_admitted': {
+            'type': 'Boolean Widget',
+            'data': {
+                'title': 'JAMB Admission',
+                'fields': ('jamb_is_admitted',),
+                'is_required': False,
+                'label': 'JAMB Admission',
+                'label_edit': 'JAMB Admission',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 0,
+            },
+        },
+##        'accommodation': {
 ##            'type': 'String Widget',
 ##            'data': {
-##                'title': '',
-##                'fields': ('',),
+##                'title': 'Accommodation',
+##                'fields': ('accommodation',),
 ##                'is_required': False,
-##                'label': '',
-##                'label_edit': '',
+##                'label': 'Accommodation',
+##                'label_edit': 'Accommodation',
 ##                'description': '',
 ##                'help': '',
@@ -26,141 +247,13 @@
 ##                'size_max': 0,
 ##            },
-
-###)
-
-Heading = { ###(
-         'type': 'Heading Widget',
-         'data': {
-                'fields': ['heading'],
-                'level': 1,
-                'is_i18n': 0,
-                'is_required': 1,
-                'label_edit': 'Headline',
-                'help': 'a short headline',
-                'display_width': 40,
-                'size_max': 200,
-            },
-        }###)
-
-Text = { ###(
-            'type': 'Text Widget',
-            'data': {
-                'fields': ['text'],
-                'is_i18n': 1,
-                'label_edit': 'Text',
-                'label': 'Text',
-                'help': 'a short Description',
-                'css_class': 'description',
-                'width': 72,
-                'height': 5,
-                'render_format': 'text',
-                'hidden_layout_modes': (),
-            },
-        }###)
-
-Title = { ###(
-         'type': 'String Widget',
-         'data': {
-                'fields': ['Title'],
-                'is_i18n': 0,
-                'is_required': 1,
-                'label': 'Title',
-                'label_edit': 'Title',
-                'display_width': 40,
-                'size_max': 200,
-            },
-        }###)
-
-Description = { ###(
-            'type': 'Text Widget',
-            'data': {
-                'fields': ['Description'],
-                'is_i18n': 1,
-                'label_edit': 'Description',
-                'label': 'Description',
-                'css_class': 'description',
-                'width': 72,
-                'height': 5,
-                'render_format': 'text',
-                'hidden_layout_modes': (),
-            },
-        }###)
-
-common_layout = {###(
-    'widgets': {
-        'LanguageSelector': {
-            'type': 'Document Language Select Widget',
-            'data': {
-                'fields': ['Language'],
-            },
-        },
-        'Title': Title,
-        'Description': Description,
-        'LanguageSelectorCreation': {
-            'type': 'Select Widget',
-            'data': {
-                'title': 'Language',
-                'fields': ('Language',),
-                'is_required': 0,
-                'label': 'label_language',
-                'label_edit': 'label_language',
-                'description': '',
-                'help': '',
-                'is_i18n': 0,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': ('create','edit', 'view'),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': 0,
-                'hidden_if_expr': '',
-                'css_class': '',
-                'vocabulary': 'language_voc',
-            },
-        },
-    },
-    'layout': {
-        'style_prefix': 'layout_waeup_',
-        'rows': [
-            #[{'widget_id': 'LanguageSelector'}],
-            [{'widget_id': 'Title'},],
-            [{'widget_id': 'Description'},],
-            #[{'widget_id': 'LanguageSelectorCreation'}],
-            ],
-        },
-    }
-#
-###)
-
-student_layout = { ###(
-    'widgets': {
-        'jamb_is_admitted': {
-            'type': 'Boolean Widget',
-            'data': {
-                'title': 'JAMB Admission',
-                'fields': ('jamb_is_admitted',),
-                'is_required': False,
-                'label': 'JAMB Admission',
-                'label_edit': 'JAMB Admission',
-                'description': '',
-                'help': '',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'css_class': '',
-                'widget_mode_expr': '',
-                'display_width': 10,
-                'size_max': 0,
-            },
-        },
-##        'jamb_where_admitted': {
+##        },
+##        'accommodation_sc_pin': {
 ##            'type': 'String Widget',
 ##            'data': {
-##                'title': 'Jamb Admission Location',
-##                'fields': ('jamb_where_admitted',),
+##                'title': 'Accommodation SC Pin',
+##                'fields': ('accommodation_sc_pin',),
 ##                'is_required': False,
-##                'label': 'University',
-##                'label_edit': 'University',
+##                'label': 'Accommodation SC Pin',
+##                'label_edit': 'Accommodation SC Pin',
 ##                'description': '',
 ##                'help': '',
@@ -206,6 +299,6 @@
         'rows': [
             #[{'widget_id': 'jamb_is_admitted', 'ncols': 1},],
-            #[{'widget_id': 'jamb_where_admitted', 'ncols': 1},],
-            #[{'widget_id': 'jamb_pin_usage', 'ncols': 1},],
+            #[{'widget_id': 'accommodation', 'ncols': 1},],
+            #[{'widget_id': 'accommodation_sc_pin', 'ncols': 1},],
             #[{'widget_id': 'faculty', 'ncols': 1},],
         ]
@@ -228,5 +321,8 @@
                 },
             }
-middlename = {
+
+###)
+
+middlename = { ###(
             'type': 'String Widget',
             'data': {
@@ -251,5 +347,7 @@
             }
 
-lastname = {
+###)
+
+lastname = { ###(
             'type': 'String Widget',
             'data': {
@@ -273,5 +371,24 @@
             },
         }
-sex = {
+
+###)
+
+email = { ###(
+            'type': 'Email Widget',
+            'data': {
+                'title': 'Email',
+                'fields': ('email',),
+                'is_required': False,
+                'label': 'Email',
+                'label_edit': 'Email',
+                'description': 'First Name',
+                'help': 'First name',
+                'is_i18n': False,
+                'display_width': 40,
+                },
+            }
+###)
+
+sex = { ###(
             'type': 'Boolean Widget',
             'data': {
@@ -297,4 +414,60 @@
             }
         }
+
+###)
+
+pw = { ###(
+            'type': 'Password Widget',
+            'data': {
+                'title': 'Password',
+                'fields': ('pw',),
+                'is_required': False,
+                'label': 'New Password',
+                'label_edit': 'New Password',
+                'description': '',
+                'help': 'enter a new Password',
+                'is_i18n': 0,
+                'readonly_layout_modes': [],
+                'hidden_layout_modes': [],
+                'hidden_readonly_layout_modes': [],
+                'hidden_empty': 0,
+                'hidden_if_expr': '',
+                'widget_mode_expr': '',
+                'css_class': '',
+                'css_class_expr': '',
+                'javascript_expr': '',
+                'display_width': 12,
+                'size_max': 8,
+                'password_widget': '',
+                'check_lower': 0,
+                'check_upper': 0,
+                'check_digit': 0,
+                'check_extra': 0,
+                'size_min': 5,
+            },
+        }
+###)
+
+rpw = { ###(
+            'type': 'Password Widget',
+            'data': {
+                'title': 'confirm Password',
+                'fields': ('rpw',),
+                'is_required': False,
+                'label': 'Confirm Password',
+                'label_edit': 'Confirm Password',
+                'description': '',
+                'help': 'confirm the new Password',
+                'is_i18n': False,
+                'display_width': 12,
+                'size_max': 8,
+                'password_widget': 'pw',
+                'check_lower': 0,
+                'check_upper': 0,
+                'check_digit': 0,
+                'check_extra': 0,
+                'size_min': 5,
+                },
+            }
 
 ###)
@@ -404,4 +577,31 @@
 ###)
 
+student_eligibility = { ###(
+    'widgets': {
+        'firstname': firstname,
+        'middlename': middlename,
+        'lastname': lastname,
+        'sex': sex,
+        'email': email,
+        'pw': pw,
+        'rpw': rpw,
+    },
+    'layout': {
+        'style_prefix': 'layout_eligibility_',
+        'flexible_widgets': (),
+        'ncols': 1,
+        'rows': [
+            #[{'widget_id': 'firstname', 'ncols': 1},],
+            #[{'widget_id': 'middlename', 'ncols': 1},],
+            #[{'widget_id': 'lastname', 'ncols': 1},],
+            #[{'widget_id': 'sex', 'ncols': 1},],
+            [{'widget_id': 'email', 'ncols': 1},],
+            [{'widget_id': 'pw', 'ncols': 1},],
+            [{'widget_id': 'rpw', 'ncols': 1},],
+        ]
+    },
+}
+###)
+
 scratch_card = { ###(
     'widgets': {
@@ -494,5 +694,5 @@
             'data': {
                 'title': 'SC ID',
-                'fields': ('admission_sc_id',),
+                'fields': ('sc_id',),
                 'is_required': False,
                 'label': 'Card Serial Number ',
@@ -505,16 +705,38 @@
                 'hidden_readonly_layout_modes': (),
                 'hidden_empty': False,
-                'hidden_if_expr': 'python:1',
-                'css_class': '',
-                'widget_mode_expr': '',
-                'display_width': 10,
-                'size_max': 0,
-            },
-        },
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 0,
+            },
+        },
+        'sc_value': { ###(
+         'type': 'Float Widget',
+         'data': {
+                'title': 'Scratch card value',
+                'fields': ('sc_value',),
+                'is_required': False,
+                'label': 'SC Value',
+                'label_edit': 'Scratcard Value',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': ('create'),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 10,
+            },
+        },###)
         'sc_pin': {
             'type': 'Scratchcard Pin Widget',
             'data': {
                 'title': 'SC Pin',
-                'fields': ('admission_sc_pin'),
+                'fields': ('sc_pin'),
                 'is_required': True,
                 'label': 'PIN',
@@ -541,7 +763,115 @@
         'ncols': 1,
         'rows': [
-            [{'widget_id': 'sc_id', 'ncols': 1},],
+            #[{'widget_id': 'sc_id', 'ncols': 1},],
+            [{'widget_id': 'sc_value', 'ncols': 1},],
             [{'widget_id': 'sc_pin', 'ncols': 1},],
             [{'widget_id': 'jamb_id', 'ncols': 1},],
+        ]
+    },
+}
+###)
+
+clearence = { ###(
+    'widgets': {
+        'sc_id': {
+            'type': 'String Widget',
+            'data': {
+                'title': 'SC ID',
+                'fields': ('sc_id',),
+                'is_required': False,
+                'label': 'Card Serial Number ',
+                'label_edit': 'Card Serial Number',
+                'description': 'Card Serial Number ',
+                'help': 'This can be found on the bottom right of the reverse side of your Scratch Card',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': 'python:1',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 0,
+            },
+        },
+        'sc_pin': {
+            'type': 'Scratchcard Pin Widget',
+            'data': {
+                'title': 'SC Pin',
+                'fields': ('sc_pin'),
+                'is_required': True,
+                'label': 'PIN',
+                'label_edit': 'PIN',
+                'description': '',
+                'help': 'PIN-(Personal Identification Number) is an 8 or 12 digit number on the reverse side of the scratch card which you can purchase from many Banks',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 10,
+            },
+        },
+        'sc_value': { ###(
+         'type': 'Float Widget',
+         'data': {
+                'title': 'Scratch card value',
+                'fields': ('sc_value',),
+                'is_required': False,
+                'label': 'SC Value',
+                'label_edit': 'Scratcard Value',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': ('create'),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 10,
+            },
+        },###)
+        'lastname': { ###(
+         'type': 'String Widget',
+         'data': {
+                'title': 'Scratch card value',
+                'fields': ('lastname',),
+                'is_required': False,
+                'label': 'Surname',
+                'label_edit': 'Surname',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': ('create'),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 10,
+            },
+        },###)
+        'jamb_id' : jamb_id,
+    },
+   'layout': {
+        'style_prefix': 'layout_clearence_',
+        'flexible_widgets': (),
+        'ncols': 1,
+        'rows': [
+            #[{'widget_id': 'sc_id', 'ncols': 1},],
+            [{'widget_id': 'sc_value', 'ncols': 1},],
+            [{'widget_id': 'sc_pin', 'ncols': 1},],
+            [{'widget_id': 'jamb_id', 'ncols': 1},],
+            #[{'widget_id': 'lastname', 'ncols': 1},],
         ]
     },
@@ -876,4 +1206,32 @@
 ###)
 
+admission_slip = { ###(
+    'widgets': jamb_widgets,
+    'layout': {
+        'style_prefix': 'layout_waeup_',
+        'flexible_widgets': (),
+        'ncols': 1,
+        'rows': [
+            [{'widget_id': 'reg_nr', 'ncols': 1},],
+            [{'widget_id': 'firstname', 'ncols': 1},],
+            [{'widget_id': 'middlename', 'ncols': 1},],
+            [{'widget_id': 'lastname', 'ncols': 1},],
+            #[{'widget_id': 'sc_id', 'ncols': 1},],
+            #[{'widget_id': 'sc_pin', 'ncols': 1},],
+            [{'widget_id': 'age', 'ncols': 1},],
+            [{'widget_id': 'sex', 'ncols': 1},],
+            [{'widget_id': 'state', 'ncols': 1},],
+            #[{'widget_id': 'exam_results', 'ncols': 1},],
+            [{'widget_id': 'aggregate', 'ncols': 1},],
+            [{'widget_id': 'faculty', 'ncols': 1},],
+            [{'widget_id': 'course', 'ncols': 1},],
+            [{'widget_id': 'listing_date', 'ncols': 1},],
+            #[{'widget_id': '2nd_choice', 'ncols': 1},],
+            #[{'widget_id': '3rd_choice', 'ncols': 1},],
+        ]
+    },
+}
+###)
+
 course = { ###(
     'widgets': {
@@ -1043,42 +1401,4 @@
             [{'widget_id': 'points', 'ncols': 1},],
             [{'widget_id': 'grade', 'ncols': 1},],
-        ]
-    },
-}
-###)
-
-study_level = { ###(
-    'widgets': {
-        'Title': {
-            'type': 'Select Widget',
-            'data': {
-                'title': '',
-                'fields': ('Title',),
-                'is_required': False,
-                'label': 'Study Level',
-                'label_edit': 'Study Level',
-                'description': '',
-                'help': '',
-                'vocabulary': 'courselevel',
-                'is_i18n': False,
-                'readonly_layout_modes': (),
-                'hidden_layout_modes': (),
-                'hidden_readonly_layout_modes': (),
-                'hidden_empty': False,
-                'hidden_if_expr': '',
-                'css_class': '',
-                'widget_mode_expr': '',
-                'display_width': 20,
-                'size_max': 0,
-            },
-        },
-    },
-   'layout': {
-        'style_prefix': 'layout_waeup_',
-        'flexible_widgets': (),
-        'ncols': 1,
-        'rows': [
-            [{'widget_id': 'Title', 'ncols': 1},],
-            #[{'widget_id': 'Year', 'ncols': 1},],
         ]
     },
@@ -1207,11 +1527,11 @@
 ###)
 
-accobook = { ###(
+study_level = { ###(
     'widgets': {
-        'sc_id': {
-            'type': 'String Widget',
-            'data': {
+      'sc_id': { ###(
+        'type': 'String Widget',
+        'data': {
                 'title': 'SC ID',
-                'fields': ('accommodation_sc_id',),
+                'fields': ('sc_id'),
                 'is_required': False,
                 'label': 'Card Serial Number ',
@@ -1229,13 +1549,94 @@
                 'display_width': 10,
                 'size_max': 0,
-            },
-        },
-        'sc_pin': {
-            'type': 'Scratchcard Pin Widget',
-            'data': {
+            }
+        },###)
+      'sc_pin': { ###(
+         'type': 'Scratchcard Pin Widget',
+         'data': {
+                'title': 'SC Pin',
+                'fields': ('sc_pin'),
+                'is_required': True,
+                'label': 'enter  PIN',
+                'label_edit': 'enter Scratchcard PIN with the value above',
+                'description': '',
+                'help': 'Please enter a Scratchcard PIN valid for Registration of next level',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 10,
+            },
+        },###)
+      'sc_value': { ###(
+         'type': 'Float Widget',
+         'data': {
+                'title': 'Scratch card value',
+                'fields': ('sc_value',),
+                'is_required': False,
+                'label': 'Scratcard Value',
+                'label_edit': 'Scratcard Value',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': ('create'),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 10,
+            },
+        },###)
+               },
+   'layout': {
+        'style_prefix': 'layout_slregister_',
+        'flexible_widgets': (),
+        'ncols': 1,
+        'rows': [
+            #[{'widget_id': 'sc_id', 'ncols': 1},],
+            [{'widget_id': 'sc_value', 'ncols': 1},],
+            [{'widget_id': 'sc_pin', 'ncols': 1},],
+        ]
+    },
+}###)
+
+accobook = { ###(
+    'widgets': {
+     'sc_id': { ###(
+        'type': 'String Widget',
+        'data': {
+                'title': 'SC ID',
+                'fields': ('accommodation_sc_id'),
+                'is_required': False,
+                'label': 'Card Serial Number ',
+                'label_edit': 'Card Serial Number',
+                'description': 'Card Serial Number ',
+                'help': 'This can be found on the bottom right of the reverse side of your Scratch Card',
+                'is_i18n': False,
+                'readonly_layout_modes': (),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': 'python:1',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 0,
+            }
+        },###)
+        'sc_pin': { ###(
+         'type': 'Scratchcard Pin Widget',
+         'data': {
                 'title': 'SC Pin',
                 'fields': ('accommodation_sc_pin'),
                 'is_required': True,
-                'label': 'enter an Accommodation PIN',
+                'label': 'enter  PIN',
                 'label_edit': 'enter an Accommodation PIN',
                 'description': '',
@@ -1252,6 +1653,28 @@
                 'size_max': 10,
             },
-        },
-    },
+        },###)
+        'sc_value': { ###(
+         'type': 'Float Widget',
+         'data': {
+                'title': 'Scratch card value',
+                'fields': ('accommodation_sc_value',),
+                'is_required': False,
+                'label': 'SC Value',
+                'label_edit': 'Scratcard Value',
+                'description': '',
+                'help': '',
+                'is_i18n': False,
+                'readonly_layout_modes': ('create'),
+                'hidden_layout_modes': (),
+                'hidden_readonly_layout_modes': (),
+                'hidden_empty': False,
+                'hidden_if_expr': '',
+                'css_class': '',
+                'widget_mode_expr': '',
+                'display_width': 10,
+                'size_max': 10,
+            },
+        },###)
+               },
    'layout': {
         'style_prefix': 'layout_accobook_',
@@ -1260,4 +1683,5 @@
         'rows': [
             #[{'widget_id': 'sc_id', 'ncols': 1},],
+            [{'widget_id': 'sc_value', 'ncols': 1},],
             [{'widget_id': 'sc_pin', 'ncols': 1},],
         ]
@@ -1272,8 +1696,11 @@
 layouts['study_level'] = study_level
 layouts['student_personal'] = student_personal_layout
+layouts['student_eligibility'] = student_eligibility
 layouts['accommodation'] = accommodation
 layouts['accobook'] = accobook
 layouts['scratch_card'] = scratch_card
 layouts['admission'] = admission
+layouts['clearence'] = clearence
+layouts['admission_slip'] = admission_slip
 layouts['jambcreate'] = jamb_layoutcreate
 layouts['jamb'] = jamb_layout
Index: waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 162)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPSchemas.py	(revision 164)
@@ -1,4 +1,65 @@
 #-*- mode: python; mode: fold -*-
 # $Id$
+
+sc_id = { ###(
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': True,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': 'SectionReader',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+            },
+        }
+###)
+
+sc_pin = { ###(
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': True,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': 'SectionReader',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+            },
+        }
+        
+###)
+
+sc_value = { ###(
+        'type': 'CPS Float Field',
+        'data': {
+            'default_expr': 'python:500.',
+            'is_searchabletext': True,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': '',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+            },
+        }
+###)
 
 university_schema = { ###(
@@ -67,49 +128,182 @@
             'write_ignore_storage': False,
             'write_process_expr': '',
-        },
-    },
-    'accommodation_sc_id': {
-        'type': 'CPS String Field',
-        'data': {
-            'default_expr': 'string:',
-            'is_searchabletext': True,
-            'acl_read_permissions': '',
-            'acl_read_roles': '',
-            'acl_read_expr': '',
-            'acl_write_permissions': '',
-            'acl_write_roles': '',
-            'acl_write_expr': '',
-            'read_ignore_storage': False,
-            'read_process_expr': '',
-            'read_process_dependent_fields': (),
-            'write_ignore_storage': False,
-            'write_process_expr': '',
-        },
-    },
-    'accommodation_sc_pin': {
-        'type': 'CPS String Field',
-        'data': {
-            'default_expr': 'string:',
-            'is_searchabletext': True,
-            'acl_read_permissions': '',
-            'acl_read_roles': '',
-            'acl_read_expr': '',
-            'acl_write_permissions': '',
-            'acl_write_roles': '',
-            'acl_write_expr': '',
-            'read_ignore_storage': False,
-            'read_process_expr': '',
-            'read_process_dependent_fields': (),
-            'write_ignore_storage': False,
-            'write_process_expr': '',
-        },
-    },
-}
-#
-###)
-
-studylevel = { ###(
-}
-#
+             },
+        },
+    'adm_check_sc_id' : sc_id, 
+    'adm_check_sc_pin' : sc_pin, 
+    'adm_check_sc_value' : sc_value, 
+    'adm_check_date' : {
+        'type': 'CPS DateTime Field',
+        'data': {
+            'is_searchabletext': 0,
+            'acl_write_roles': 'SectionReader',
+        },
+    }, 
+    'clearence_sc_id' : sc_id, 
+    'clearence_sc_pin' : sc_pin, 
+    'clearence_sc_value' : sc_value, 
+    'clearence_date' : {
+        'type': 'CPS DateTime Field',
+        'data': {
+            'is_searchabletext': 0,
+            'acl_write_roles': 'SectionReader',
+        },
+    }, 
+    'accommodation_sc_id' : sc_id, 
+    'accommodation_sc_pin' : sc_pin, 
+    'accommodation_sc_value' : sc_value, 
+    'accommodation_date' : {
+        'type': 'CPS DateTime Field',
+        'data': {
+            'is_searchabletext': 0,
+            'acl_write_roles': 'SectionReader',
+        },
+    }, 
+}
+###)
+
+student_accommodation = { ###(
+    'sc_id': sc_id,
+    'sc_pin': sc_pin,
+    'sc_value': { ###(
+        'type': 'CPS Float Field',
+        'data': {
+            'default_expr': 'python:500.',
+            'is_searchabletext': True,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': '',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+            },
+        },###)
+    'accommodation': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': True,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': '',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+             },
+        },
+}
+###)
+
+student_admission = { ###(
+    'sc_id': sc_id,
+    'sc_pin': sc_pin,
+    'sc_value': { ###(
+        'type': 'CPS Float Field',
+        'data': {
+            'default_expr': 'python:300.',
+            'is_searchabletext': True,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': '',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+            },
+        },###)
+    'reg_nr': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': True,
+        },
+    },
+}
+###)
+
+student_clearence = { ###(
+    'sc_id': sc_id,
+    'sc_pin': sc_pin,
+    'sc_value': { ###(
+        'type': 'CPS Float Field',
+        'data': {
+            'default_expr': 'python:800.',
+            'is_searchabletext': True,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': '',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+            },
+        },###)
+    'reg_nr': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': True,
+        },
+    },
+    'lastname': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:',
+            'is_searchabletext': True,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': '',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+             },
+        },
+}###)
+
+study_level = { ###(
+    'sc_id': sc_id,
+    'sc_pin': sc_pin,
+    'sc_value': { ###(
+        'type': 'CPS Float Field',
+        'data': {
+            'default_expr': 'python:1000.',
+            'is_searchabletext': True,
+            'acl_read_permissions': '',
+            'acl_read_roles': '',
+            'acl_read_expr': '',
+            'acl_write_permissions': '',
+            'acl_write_roles': '',
+            'acl_write_expr': '',
+            'read_ignore_storage': False,
+            'read_process_expr': '',
+            'read_process_dependent_fields': (),
+            'write_ignore_storage': False,
+            'write_process_expr': '',
+            },
+        },###)
+}
 ###)
 
@@ -164,4 +358,75 @@
         },
     },
+}
+###)
+
+student_eligibility = { ###(
+     'firstname': {
+        'type': 'CPS String Field',
+        'data': {
+            'is_searchabletext': 1,
+        },
+    },
+    'middlename': {
+        'type': 'CPS String Field',
+        'data': {
+            'is_searchabletext': 1,
+        },
+    },
+     'lastname': {
+        'type': 'CPS String Field',
+        'data': {
+            'is_searchabletext': 1,
+        },
+    },
+     'sex': {
+        'type': 'CPS Boolean Field',
+        'default_expr': 'python:True',
+        'data': {
+            'is_searchabletext': 0,
+        },
+    },
+##     'birthday': {
+##        'type': 'CPS DateTime Field',
+##        'data': {
+##            'is_searchabletext': 1,
+##        },
+##    },
+     'age': {
+        'type': 'CPS DateTime Field',
+        'data': {
+            'is_searchabletext': 0,
+        },
+    },
+    'email': {
+        'type': 'CPS String Field',
+        'data': {
+            'is_searchabletext': 1,
+        },
+    },
+    'pw': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:default',
+        },
+    },
+    'rpw': {
+        'type': 'CPS String Field',
+        'data': {
+            'default_expr': 'string:default',
+        },
+    },
+##     'photo': {
+##        'type': 'CPS Image Field',
+##        'data': {
+##            'is_searchabletext': 0,
+##        },
+##    },
+##     'birth_certificate': {
+##        'type': 'CPS Image Field',
+##        'data': {
+##            'is_searchabletext': 0,
+##        },
+##    },
 }
 ###)
@@ -497,5 +762,9 @@
 schemas['students'] = students_folder_schema
 schemas['student'] = student_schema
-schemas['studylevel'] = studylevel
+schemas['student_admission'] = student_admission
+schemas['student_clearence'] = student_clearence
+schemas['student_eligibility'] = student_eligibility
+schemas['student_accommodation'] = student_accommodation
+schemas['study_level'] = study_level
 schemas['course_results'] = course_results_schema
 schemas['student_personal'] = student_personal_schema
Index: waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 162)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPTypes.py	(revision 164)
@@ -20,5 +20,5 @@
     'global_allow': 1,
     'filter_content_types': 1,
-    'allowed_content_types': ('StudentsFolder','Faculty','AccoFolder','Section','CPSProxyDocument'),
+    'allowed_content_types': ('Chat','FAQ','CPSCalendar','Forum','StudentsFolder','Faculty','AccoFolder','Section','CPSProxyDocument'),
     'allow_discussion': 0,
     'cps_is_searchable': 1,
@@ -111,6 +111,6 @@
                 'permissions': (UniversityManage,StudentManage)},
                 {
-                'id'        : 'my_admission',
-                'name'      : 'My Admission Status',
+                'id'        : 'check_admission',
+                'name'      : 'Check Admission Status',
                 'action'    : 'string:${object/absolute_url}/check_admission',
                 'condition':  'object/portal_membership/isAnonymousUser',
@@ -118,6 +118,6 @@
                 {
                 'id'        : 'admission_list',
-                'name'      : 'Admission List',
-                'action'    : 'string:${object/absolute_url}/admission_status',
+                'name'      : 'Clearence Elegibility Process',
+                'action'    : 'string:${object/absolute_url}/clearence',
                 'condition':  'object/portal_membership/isAnonymousUser',
                 'permission': (View,)},
@@ -180,8 +180,9 @@
           #'action': 'string:${object_url}/student_index_html',
           'action': 'temporary_view_all',
-          'condition': '',
+          'condition':  'object/memberIsOwner',
           'permission': (View,),
           'category': 'object',
-          'visible': True,},
+          'visible': True,
+          },
          {'id': 'metadata',
           'name': 'action_metadata',
@@ -194,9 +195,16 @@
           'permissions': (ModifyPortalContent),
           'visible' : 0,
+          },
+         {'id'        : 'eligibility',
+          'name'      : 'eligibility',
+          'action'    : 'eligibility',
+          'condition':  'object/memberIsOwner',
+          'permission': (ModifyPortalContent,),
+          'visible': False,
           },
          {'id'        : 'JAMB',
           'name'      : 'JAMB Data',
           'action'    : 'string:${object/absolute_url}/JAMB',
-          'condition':  '',
+          'condition':  'object/memberIsOwner',
           'permission': (ModifyPortalContent,)},
           {
@@ -204,5 +212,5 @@
           'name'      : 'Personal Data',
           'action'    : 'string:${object/absolute_url}/PERSONAL',
-          'condition':  "python:getattr(object,'PERSONAL',None)",
+          'condition':  "python: object.getContent().memberIsOwner() and getattr(object,'PERSONAL',None)",
           'permission': (ModifyPortalContent,)},
           {
@@ -210,5 +218,5 @@
           'name'      : 'Register for next Level',
           'action'    : 'string:${object/absolute_url}/register_level',
-          'condition':  '',
+          'condition':  'object/memberIsOwner',
           'permission': (ModifyPortalContent,)},
           {
@@ -216,5 +224,5 @@
           'name'      : 'Book Accomodation',
           'action'    : 'string:${object/absolute_url}/book_accommodation',
-          'condition':  '',
+          'condition':  'object/memberIsOwner',
           'permission': (ModifyPortalContent,)},
           )
Index: waeup_product/trunk/skins/waeup_default/getWAeUPVocabularies.py
===================================================================
--- waeup_product/trunk/skins/waeup_default/getWAeUPVocabularies.py	(revision 162)
+++ waeup_product/trunk/skins/waeup_default/getWAeUPVocabularies.py	(revision 164)
@@ -83,5 +83,5 @@
             ('200', "Year 2 (200 Level)", ''),
             ('300', "Year 3 (300 Level)", ''),
-            ('400', "Year 4 (100 Level)", ''),
+            ('400', "Year 4 (400 Level)", ''),
             )},
         }
